Skip to main content
GET
/
api
/
v2
/
usage
/
mau
Get MAU usage
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/usage/mau \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "metadata": [
    {}
  ],
  "series": [
    {
      "0": 11,
      "1": 15,
      "time": 1677888000000
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

from
string<string>

The series of data returned starts from this timestamp. Defaults to 30 days ago.

to
string<string>

The series of data returned ends at this timestamp. Defaults to the current time.

project
string<string>

A project key to filter results to. Can be specified multiple times, one query parameter per project key, to view data for multiple projects.

environment
string<string>

An environment key to filter results to. When using this parameter, exactly one project key must also be set. Can be specified multiple times as separate query parameters to view data for multiple environments within a single project.

sdktype
string<string>

An SDK type to filter results to. Can be specified multiple times, one query parameter per SDK type. Valid values: client, server

sdk
string<string>

An SDK name to filter results to. Can be specified multiple times, one query parameter per SDK.

anonymous
string<string>

If specified, filters results to either anonymous or nonanonymous users.

groupby
string<string>

If specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions (for example, to group by both project and SDK). Valid values: project, environment, sdktype, sdk, anonymous, contextKind, sdkAppId

aggregationType
string<string>

If specified, queries for rolling 30-day, month-to-date, or daily incremental counts. Default is rolling 30-day. Valid values: rolling_30d, month_to_date, daily_incremental

contextKind
string<string>

Filters results to the specified context kinds. Can be specified multiple times, one query parameter per context kind. If not set, queries for the user context kind.

Response

Usage response

The location and content type of related resources

metadata
object[]
required

Metadata about each series

series
object[]
required

An array of data points with timestamps. Each element of the array is an object with a 'time' field, whose value is the timestamp, and one or more key fields. If there are multiple key fields, they are labeled '0', '1', and so on, and are explained in the metadata.

Example:
[{ "0": 11, "1": 15, "time": 1677888000000 }]